%global fontname gfs-didot
%global fontconf 60-%{fontname}.conf

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

%global archivename GFS_DIDOT_OT

Name:    %{fontname}-fonts
Version: 20070616
Release: 1
Summary: GFS Didot fonts

Group:     User Interface/X
License:   OFL
URL:       http://www.greekfontsociety.gr/pages/en_typefaces20th.html
Source0:   http://www.greekfontsociety.gr/%{archivename}.zip
Source1:   %{name}-fontconfig.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: coreutils, sed, unzip
Requires:      fontconfig

%description
Didot’s type was the base for a new font, GFS Didot (1994) which was designed
by Takis Katsoulidis, and digitised by George Matthiopoulos. The typeface is
accompanied by a matching latin alphabet based on Hermann Zapf’s Palatino.


%prep
%setup -q -c -T
export PATH=/opt/freeware/bin:$PATH
unzip -j -L -q %{SOURCE0}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp *.otf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}.conf

ln -sf %{_fontconfig_templatedir}/%{fontconf}.conf ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/%{fontconf}.conf


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc *.txt *.pdf
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/*.otf


%changelog
* Mon Jun 25 2012 Michael Perzl <michael@perzl.org> - 20070616-1
- first version for AIX V5.1 and higher
